Bug 152849 - CAN-2004-0967 Ghostscript Insecure Temporary File Creation
CAN-2004-0967 Ghostscript Insecure Temporary File Creation
Status: CLOSED CANTFIX
Product: Fedora Legacy
Classification: Retired
Component: ghostscript (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://secunia.com/advisories/12903/
1, LEGACY, NEEDSWORK, rh73, rh90, 2
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 16:59 EST by David Lawrence
Modified: 2007-04-18 13:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 20:25:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:29:36 EST
http://secunia.com/advisories/12903/

A vulnerability has been reported in ESP Ghostscript, which can be exploited by
malicious, local users to perform certain actions on a vulnerable system with
escalated privileges.

The vulnerability is caused due to temporary files being created insecurely by
the "pj-gs.sh", "ps2epsi", "pv.sh", and "sysvlp.sh" scripts. This can be
exploited via symlink attacks to create or overwrite arbitrary files with the
privileges of the user invoking a vulnerable script.

CVE: http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0967

Red Hat Bugzilla:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136321
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136322

Patch:
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=105441&action=view

The patch contains several modification. But the most of them was already fixed.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:29 -------

This bug previously known as bug 2266 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2266
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was fedora-legacy-bugzilla-2004@fumika.jp.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 David Eisenstein 2005-09-29 08:15:53 EDT
Red Hat issued RHSA-2005:081-01:
   http://rhn.redhat.com/errata/RHSA-2005-081.html
for this bug for RHEL 3.  RHEL uses ghostscript-7.05.

Our most recent ghostscript Packages:

RH7.3:    16325468 May 28  2003 ghostscript-6.52-9.5.src.rpm
RH9:      12862638 May 28  2003 ghostscript-7.05-32.1.src.rpm
FC1:      12816599 Aug 17  2004 ghostscript-7.07-15.4.src.rpm
FC2:      11920172 May 07  2004 ghostscript-7.07-25.src.rpm

This bug is mislabeled:  It should have package "ghostscript", not "gv".
This bug affects FC2 also.
Comment 2 Pekka Savola 2005-10-01 00:49:32 EDT
changed.
Comment 3 Matthew Miller 2006-10-23 15:14:40 EDT
FWIW, This appears fixed in current FC3 and FC4.
Comment 4 David Eisenstein 2007-04-11 20:25:34 EDT
Red Hat Linux and Fedora Core releases <=4 are now completely unmaintained.
These bugs can't be fixed in these versions.  If the issue still persists in
current Fedora Core releases, please reopen.  Thank you, and sorry about this.

Note You need to log in before you can comment on or make changes to this bug.